Subject: Re: include/asm/cpm2.h:14:21: error: asm/cpm.h: No such file or directory

From: Misbah khan <[email-masked]>
Date: Sun, 7 Oct 2007 21:36:55 -0700 (PDT)

Timur Tabi-3 wrote:
> 
> Kumar, this is what I get when I compile your 2.6.24 branch for the 8610:
> 
>    CC      arch/powerpc/sysdev/fsl_soc.o
> In file included from arch/powerpc/sysdev/fsl_soc.c:40:
> include/asm/cpm2.h:14:21: error: asm/cpm.h: No such file or directory
> make[1]: *** [arch/powerpc/sysdev/fsl_soc.o] Error 1
> make: *** [arch/powerpc/sysdev] Error 2
> 
> I guess the file /asm/cpm2.h is not present in the kernel source , You
> need to go through the source and see what asm file is being provided for
> you to access the communication processor specific register (i assume you
> are accessing/assigning to processor register) 
> 
> Commenting out the "#include <asm/cpm.h>" in cpm2.h makes the compilation 
> failure go away, but I don't know if that's the proper fix, since the 8610 
> doesn't have a CPM.
> 
> Are u including #include <asm/cpm.h> or <asm/cpm2.h> ???????
> 
> Processor registers are memory mapped and you can access it directly by
> including proper asm file ,and writing to the structure element of the
> file by  using Pointer to comm processor 
> 
> If you could let me know what is the operation that you need to perform on
> comm process register and which register you need to access then i could
> be in better position to help you
> 
> Misbah 
> -- 
> Timur Tabi
> Linux Kernel Developer @ Freescale
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
> 

-- 
View this message in context: http://www.nabble.com/include-asm-cpm2.h%3A14%3A21%3A-error%3A-asm-cpm.h%3A-No-such-file-or-directory-tf4571911.html#a13090379
Sent from the linuxppc-dev mailing list archive at Nabble.com.